<div align="center">

# <a href="https://sleek.tafcoder.com/" target="_blank" rel="noopener noreferrer">Sleek Dashboard</a>

</div>

<div align="center">

[![GitHub stars](https://img.shields.io/github/stars/tafcoder/sleek-dashboard.svg?color="brightgreen"&style=flat-square)](https://github.com/tafcoder/sleek-dashboard/stargazers)
[![GitHub forks](https://img.shields.io/github/forks/tafcoder/sleek-dashboard.svg?color="success"&style=flat-square)](https://github.com/tafcoder/sleek-dashboard/network)
[![GitHub issues closed](https://img.shields.io/github/issues-closed-raw/tafcoder/sleek-dashboard.svg?color="orange"&style=flat-square)]() 
<a href="https://coveralls.io/github/chartjs/Chart.js?branch=master"><img src="https://img.shields.io/coveralls/chartjs/Chart.js.svg?&style=flat-square&maxAge=600" alt="Coverage"></a>
<a href="https://github.com/chartjs/awesome"><img src="https://awesome.re/badge-flat2.svg?&style=flat-square" alt="Awesome"></a>
![license](https://img.shields.io/badge/license-MIT-blue.svg?&style=flat-square)

</div>

<div align="center">

![Product Gif](src/assets/img/github/sleek.gif)

</div>

**Sleek Dashboard** - Free Bootstrap 4 Admin Dashboard Template and UI Kit. It is very powerful *bootstrap* admin dashboard, which allows you to build products like admin panels, content managements systems and CRMs.

[Bootstrap](https://getbootstrap.com/) is world's most popular front-end component library for developing with HTML, CSS, and JS. It is open source, intuitive, and powerful front-end framework for faster and easier web development.

We are very excited to share this dashboard with you and we look forward to hearing your feedback!


## Table of Contents

- [Demo](#demo)
- [Quick Start](#quick-start)
- [Contribution](#contribution)
- [Plugins](#plugins)
- [Browser Support](#browser-support)
- [Reporting Issues](#reporting-issues)
- [Technical Support or Questions](#technical-support-or-questions)
- [Licensing](#licensing)

## Demo

| Ecommerce  | Analytics  | Chart Widgets  | General Widgets  |
|---|---|---|---|
| [![Ecommerce page](src/assets/img/github/ecommerce.png)](https://sleek.tafcoder.com/)  | [![Analytics page](src/assets/img/github/analytics.png)](https://sleek.tafcoder.com/analytics.html) | [![Chart Widgets](src/assets/img/github/chart-widgets.png)](https://sleek.tafcoder.com/chart-widget.html) | [![General Widgets](src/assets/img/github/general-widgets.png)](https://sleek.tafcoder.com/general-widget.html)

[View More](https://sleek.tafcoder.com/).

## Quick Start
Please visit [Documentation](https://sleek.tafcoder.com/installation.html) for more detailed information.

### Option 1: From CDN
```
<link href="https://unpkg.com/sleek-dashboard/dist/assets/css/sleek.min.css" rel="stylesheet"/>
```
```
<script src="https://unpkg.com/sleek-dashboard/dist/assets/js/sleek.bundle.js"></script>
```
[View Codepen Example](https://codepen.com/)

### Option 2: From NPM
Install **Sleek Dashboard** from npm
```
npm i sleek-dashboard --save
```

### Option 3: Download
You can download ready to use **Sleek Dashboard** admin template from our [Latest Release](https://github.com/tafcoder/sleek-dashboard/releases)

Please visit [Documentation](https://sleek.tafcoder.com/installation.html) for more detailed information.

## Contribution
To use our build system and run project locally follow these instructions -

- Install [Node.js and NPM](https://nodejs.org)
- Install [Ruby](https://www.ruby-lang.org/en/documentation/installation/) then install [Bundler](https://bundler.io/) with `gem install bundler`

- Clone github repository with
  ```
  git clone https://github.com/tafcoder/sleek-dashboard.git
  ```


- Navigate to the root `/sleek-dashboard` directory and Install dependency with
  ```
  npm install
  bundle install
  ```

- Finally run `npm start` and open [http://localhost:4000](http://localhost:4000) in your browser. Now you are ready to hack! 

 **Note:** For Windows Read [this guide](https://jekyllrb.com/docs/windows/) to get Jekyll up and running without problems.


## Plugins
* Bootstrap - http://getbootstrap.com
* Chart.js - 	http://www.chartjs.org/
* Select 2 - 	https://select2.org/
* Slim Scrol - 	http://rocha.la/jQuery-slimScroll

[See All Plugins](https://sleek.tafcoder.com/introduction.html)


## Browser Support

At present, we officially aim to support the following browsers:

<img src="src/assets/img/github/chrome.png" width="64" height="64"> <img src="src/assets/img/github/firefox.png" width="64" height="64"> <img src="src/assets/img/github/edge.png" width="64" height="64"> <img src="src/assets/img/github/safari.png" width="64" height="64"> <img src="src/assets/img/github/opera.png" width="64" height="64">

## Reporting Issues

We use GitHub Issues as the official bug tracker for the **Sleek Dashboard**. Please Search [existing issues](https://github.com/tafcoder/sleek-dashboard/issues). It’s possible someone has already reported the same problem.
If your problem or idea is not addressed yet, [open a new issue](https://github.com/tafcoder/sleek-dashboard/issues)

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](mailto:hello@tafcoder.com) instead of opening an issue.

## Licensing

- Copyright 2018 TAF Coder (https://sleek.tafcoder.com/)
- Licensed under MIT (https://github.com/tafcoder/sleek-dashboard/blob/master/LICENSE.md)
